# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.webmastertools
Class CrawlIssueEntry

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<CrawlIssueEntry>
                  com.google.gdata.data.webmastertools.CrawlIssueEntry

All Implemented Interfaces:
  Extension, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor

    public class CrawlIssueEntry

extends BaseEntry<CrawlIssueEntry>

Describes a crawl issue entry.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry
`BaseEntry.AtomHandler, BaseEntry.EntryState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary
`static Category` `CATEGORY` Crawl Issue Entry kind category.
`static java.lang.String` `KIND` Crawl Issue Entry kind term value.

Fields inherited from class com.google.gdata.data.BaseEntry
`state`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`CrawlIssueEntry()` Default mutable constructor.
`CrawlIssueEntry(BaseEntry<?> sourceEntry)` Constructs a new instance by doing a shallow copy of data from an existing `BaseEntry` instance.

Method Summary
`void` `addLinkedFrom(CrawlIssueLinkedFromUrl linkedFrom)` Adds a new crawl issue linked from url.
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the set of expected Extension types for an ExtensionPoint within the target extension profile.
`CrawlIssueCrawlType` `getCrawlType()` Returns the crawl issue crawl type.
`CrawlIssueDateDetected` `getDateDetected()` Returns the crawl issue date detected.
`CrawlIssueDetail` `getDetail()` Returns the crawl issue detail.
`CrawlIssueIssueType` `getIssueType()` Returns the crawl issue issue type.
`java.util.List<CrawlIssueLinkedFromUrl>` `getLinkedFroms()` Returns the crawl issue linked from urls.
`CrawlIssueUrl` `getUrl()` Returns the crawl issue url.
`boolean` `hasCrawlType()` Returns whether it has the crawl issue crawl type.
`boolean` `hasDateDetected()` Returns whether it has the crawl issue date detected.
`boolean` `hasDetail()` Returns whether it has the crawl issue detail.
`boolean` `hasIssueType()` Returns whether it has the crawl issue issue type.
`boolean` `hasLinkedFroms()` Returns whether it has the crawl issue linked from urls.
`boolean` `hasUrl()` Returns whether it has the crawl issue url.
`void` `setCrawlType(CrawlIssueCrawlType crawlType)` Sets the crawl issue crawl type.
`void` `setDateDetected(CrawlIssueDateDetected dateDetected)` Sets the crawl issue date detected.
`void` `setDetail(CrawlIssueDetail detail)` Sets the crawl issue detail.
`void` `setIssueType(CrawlIssueIssueType issueType)` Sets the crawl issue issue type.
`void` `setUrl(CrawlIssueUrl url)` Sets the crawl issue url.
`java.lang.String` `toString()`
`protected void` `validate()` Checks the attributes to see if there are any problems.

Methods inherited from class com.google.gdata.data.BaseEntry

`addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, generateRss, getAdaptedEntry, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContentHandlerInfo, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getMediaEditLink, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setContent, setContent, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setService, setSource, setSummary, setTitle, setUpdated, setVersionId, update, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### KIND

    public static final java.lang.String KIND

  Crawl Issue Entry kind term value.

  See Also:
    Constant Field Values

### CATEGORY

    public static final Category CATEGORY

  Crawl Issue Entry kind category.

Constructor Detail

### CrawlIssueEntry

    public CrawlIssueEntry()

  Default mutable constructor.

### CrawlIssueEntry

    public CrawlIssueEntry(BaseEntry<?> sourceEntry)

  Constructs a new instance by doing a shallow copy of data from an existing `BaseEntry` instance.

  Parameters:
    `sourceEntry` - source entry

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Description copied from class: `ExtensionPoint`
  Declares the set of expected Extension types for an ExtensionPoint within the target extension profile. The base implementation does not declare any extensions, but can be overridden by specific types of ExtensionPoints that always contain a well-defined set of extensions.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Overrides:
    `declareExtensions` in class `ExtensionPoint`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`

### getCrawlType

    public CrawlIssueCrawlType getCrawlType()

  Returns the crawl issue crawl type.

  Returns:
    crawl issue crawl type

### setCrawlType

    public void setCrawlType(CrawlIssueCrawlType crawlType)

  Sets the crawl issue crawl type.

  Parameters:
    `crawlType` - crawl issue crawl type or `null` to reset

### hasCrawlType

    public boolean hasCrawlType()

  Returns whether it has the crawl issue crawl type.

  Returns:
    whether it has the crawl issue crawl type

### getDateDetected

    public CrawlIssueDateDetected getDateDetected()

  Returns the crawl issue date detected.

  Returns:
    crawl issue date detected

### setDateDetected

    public void setDateDetected(CrawlIssueDateDetected dateDetected)

  Sets the crawl issue date detected.

  Parameters:
    `dateDetected` - crawl issue date detected or `null` to reset

### hasDateDetected

    public boolean hasDateDetected()

  Returns whether it has the crawl issue date detected.

  Returns:
    whether it has the crawl issue date detected

### getDetail

    public CrawlIssueDetail getDetail()

  Returns the crawl issue detail.

  Returns:
    crawl issue detail

### setDetail

    public void setDetail(CrawlIssueDetail detail)

  Sets the crawl issue detail.

  Parameters:
    `detail` - crawl issue detail or `null` to reset

### hasDetail

    public boolean hasDetail()

  Returns whether it has the crawl issue detail.

  Returns:
    whether it has the crawl issue detail

### getIssueType

    public CrawlIssueIssueType getIssueType()

  Returns the crawl issue issue type.

  Returns:
    crawl issue issue type

### setIssueType

    public void setIssueType(CrawlIssueIssueType issueType)

  Sets the crawl issue issue type.

  Parameters:
    `issueType` - crawl issue issue type or `null` to reset

### hasIssueType

    public boolean hasIssueType()

  Returns whether it has the crawl issue issue type.

  Returns:
    whether it has the crawl issue issue type

### getLinkedFroms

    public java.util.List<CrawlIssueLinkedFromUrl> getLinkedFroms()

  Returns the crawl issue linked from urls.

  Returns:
    crawl issue linked from urls

### addLinkedFrom

    public void addLinkedFrom(CrawlIssueLinkedFromUrl linkedFrom)

  Adds a new crawl issue linked from url.

  Parameters:
    `linkedFrom` - crawl issue linked from url

### hasLinkedFroms

    public boolean hasLinkedFroms()

  Returns whether it has the crawl issue linked from urls.

  Returns:
    whether it has the crawl issue linked from urls

### getUrl

    public CrawlIssueUrl getUrl()

  Returns the crawl issue url.

  Returns:
    crawl issue url

### setUrl

    public void setUrl(CrawlIssueUrl url)

  Sets the crawl issue url.

  Parameters:
    `url` - crawl issue url or `null` to reset

### hasUrl

    public boolean hasUrl()

  Returns whether it has the crawl issue url.

  Returns:
    whether it has the crawl issue url

### validate

    protected void validate()

  Description copied from class: `AbstractExtension`
  Checks the attributes to see if there are any problems. Default implementation does nothing, though generally this is discouraged unless there really are no restrictions.

  Overrides:
    `validate` in class `AbstractExtension`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`